package com.yonge.cooleshow.mbg.mapper;

import com.yonge.cooleshow.mbg.model.OmsOrderCourier;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * Description
 *
 * @author: feng-ji
 * @date: 2022-10-28
 */
public interface OmsOrderCourierMapper {
    int deleteByPrimaryKey(Long id);

    int insert(OmsOrderCourier record);

    int insertSelective(OmsOrderCourier record);

    OmsOrderCourier selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(OmsOrderCourier record);

    int updateByPrimaryKey(OmsOrderCourier record);

    int batchInsert(@Param("list") List<OmsOrderCourier> list);

    /**
     * 更新物流信息
     */
    void updateByCourierNo(@Param("courierNo") String courierNo, @Param("logistics") String logistics);

    /**
     * 查询物流信息
     */
    OmsOrderCourier queryByCourierNo(@Param("courierNo") String deliverySn);
}